/**
 * EasyBeans
 * Copyright (C) 2011 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TesterBean.java 5898 2011-06-07 12:00:39Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.osgi.itests.applications.osgi;

import javax.ejb.Stateless;

/**
 * Implementation of the bean used for the tests.
 * @author Florent Benoit
 */
@Stateless
public class TesterBean implements ITester {

    /**
     * Method used to reproduce the bug http://jira.easybeans.org/browse/EZB-484 .
     * @return an int
     */
    public int create() {
        return 2;
    }

}
